<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>

</html>
<script>
    //subtask1
    const names = ["alpha", "beta", "gamma", "delta"];

    // Destructuring assignment
    const [firstElement, secondElement] = names;

    console.log(firstElement); // "alpha"
    console.log(secondElement); // "beta"
    //subtask2
    // Destructuring assignment
    const [first, , third] = names;

    console.log(first); // "alpha"
    console.log(third); // "gamma"
    //subtask3
    const [index1, , index3, index4] = names;
    console.log(index1);
    console.log(index3);
    console.log(index4);

    //subtask4
    const marks = {
        section1: { alpha: 15, beta: 16 },
        section2: { alpha: -31, beta: 19 }
    };

    // Destructuring assignment
    const { section1 } = marks;

    console.log(section1); // { alpha: 15, beta: 16 }
    //subtask5
    console.log("giá trị thuộc tính alpha :" + section1.alpha);
    //subtask6
    var markss = { x: 21, y: -34, z: 47 };

    // Destructuring assignment
    var { y } = markss;

    console.log(y); // -34


</script>